solved what do i do about this?

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

solved what do i do about this?

Postby ds2992 on Sun Mar 20, 2011 7:13 pm

So i noticed today that there were updates available for my OS LMDE. I ran apt-get update and apt-get upgrade yesterday. I thought thatwas what i needed to do to update my system. So my update manager tells me there are about 500 updates available.. I ran update manager to see whats up and I get an error:

E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report

I dont understand the conflict between apt-get and the update manager.
I also typed in "sudo dpkg --configure -a "and nothing happened.
whaqts up with that?
Last edited by ds2992 on Mon Mar 28, 2011 1:09 am, edited 1 time in total.
ds2992
Level 1
Level 1
 
Posts: 45
Joined: Mon Jan 10, 2011 11:28 pm

Linux Mint is funded by ads and donations.
 

Re: what do i do about this?

Postby vincent on Sun Mar 20, 2011 7:35 pm

If "sudo dpkg --configure -a" doesn't give you any output, that's a good thing, it means that either the errors have been fixed or no errors were found. Now, try the following:
Code: Select all
sudo apt-get update
sudo apt-get dist-upgrade

For a rolling release, use dist-upgrade as opposed to upgrade. There have been many threads lately relating to this...
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: what do i do about this?

Postby CiaW on Sun Mar 20, 2011 8:20 pm

ds2992 wrote:So i noticed today that there were updates available for my OS LMDE. I ran apt-get update and apt-get upgrade yesterday. I thought thatwas what i needed to do to update my system. So my update manager tells me there are about 500 updates available.. I ran update manager to see whats up and I get an error:

E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report

I dont understand the conflict between apt-get and the update manager.
I also typed in "sudo dpkg --configure -a "and nothing happened.
whaqts up with that?

I had the message once when Mint Update crashed while installing some updates. Actually it just closed before it finished. When I ran the dpkg command given in a terminal however, it did finish the update. Did you type it in the terminal without quotes? Or with? It should be without. If you knew that and typed it accordingly, then never mind. :)
CiaW
Level 3
Level 3
 
Posts: 170
Joined: Fri Sep 10, 2010 11:39 am
Location: Spokane Wash, USA

Re: what do i do about this?

Postby ds2992 on Sun Mar 20, 2011 8:35 pm

so i corrected my error and typed the command properly. it did something gave me a lot of words and other stuff.
the problem im running into now with mint update is that i get an error

could not apply changes.
fix broken packages first.

im going to do the distro-upgrade now and see what happens. got this error.

N: Ignoring file 'opera.list.save' in directory '/etc/apt/sources.list.d/' as it has an invalid filename extension
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

so in package manager i am installing upgrades a few at a time to find this elusive "broken package"
ds2992
Level 1
Level 1
 
Posts: 45
Joined: Mon Jan 10, 2011 11:28 pm

Re: what do i do about this?

Postby vincent on Sun Mar 20, 2011 10:11 pm

ds2992 wrote:E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?


You cannot have Synaptic/mintUpdate/apt-get/aptitude/any other program that uses APT open and running at the same time; if you are running a dist-upgrade from the command line, you cannot use Synaptic. If you have Synaptic open, you can't run dist-upgrade from the command line. Do one or the other, but not both at the same time.
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: what do i do about this?

Postby ds2992 on Sun Mar 20, 2011 10:37 pm

so i broke up the download of the upgrades and all of the packages updated. what i think happened was apt is unable to download and install that amount of packages at one time.
ds2992
Level 1
Level 1
 
Posts: 45
Joined: Mon Jan 10, 2011 11:28 pm


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 1 guest